Get a summary of your card program
curl --request GET \
--url https://api.bridge.xyz/v0/developer/cards/summary \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/developer/cards/summary"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/developer/cards/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/developer/cards/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/developer/cards/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/developer/cards/summary")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/developer/cards/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"period": "year",
"period_starting": "2025-01-01",
"cards_provisioned_count": 1123,
"card_transactions_count": 31415,
"provisioned_cards_by_country": {
"USA": 123,
"MEX": 45
},
"transaction_volume": "-100.0",
"transacting_card_accounts_count": 2047,
"card_transactions_count_by_country": {
"USA": 74,
"MEX": 55
},
"transaction_volume_by_country": {
"USA": "7.04",
"MEX": "5.0"
},
"transacting_cards_by_country": {
"USA": 123,
"MEX": 45
}
}Cards
Get a summary of your card program
Get a summary of your card program, optionally for a specific period.
GET
/
developer
/
cards
/
summary
Get a summary of your card program
curl --request GET \
--url https://api.bridge.xyz/v0/developer/cards/summary \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/developer/cards/summary"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/developer/cards/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/developer/cards/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/developer/cards/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/developer/cards/summary")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/developer/cards/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"period": "year",
"period_starting": "2025-01-01",
"cards_provisioned_count": 1123,
"card_transactions_count": 31415,
"provisioned_cards_by_country": {
"USA": 123,
"MEX": 45
},
"transaction_volume": "-100.0",
"transacting_card_accounts_count": 2047,
"card_transactions_count_by_country": {
"USA": 74,
"MEX": 55
},
"transaction_volume_by_country": {
"USA": "7.04",
"MEX": "5.0"
},
"transacting_cards_by_country": {
"USA": 123,
"MEX": 45
}
}Query Parameters
A string to indicate the period to retrieve the card program summary for.
- For
year, the period key should be in theYYYYformat - For
month, the period key should be in theYYYYMMformat - For
week, the period key should be in theYYYYMMDDformat indicating the beginning day of the week. - For
day, the period key should be in theYYYYMMDDformat - For
lifetime, the period key is not required Note that if a specific period is specified, this endpoint currently only supports fetching for periods with complete data (e.g. only up to the previous year, month, week, or day).
Response
The summary of a card program
The summary of a card program for a given period
Was this page helpful?